package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmsshipDetailsOrderSerivceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/6 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmsshipdetailsstatement")
public class BmsshipDetailsStatementController extends BaseRESTfulController {

    @Autowired
    BmsshipDetailsOrderSerivceImpl bmsshipDetailsOrderSerivce;
    @Autowired
    ColumnDataUtil columnDataUtil;

    /**
     * 展示详单信息
     * @param mapValue
     * @param pageNum
     * @param pageSize
     * @param apiId
     * @return
     */
    @ApiModelProperty(value = "展示详单信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "93", required = false, dataType = "BigDecimal")
    })
    @PostMapping("/getDetailsOrderList")
    public RESTfulResult getDetailsOrderList(@RequestBody(required = false) Map<String,Object> mapValue,
                                          Integer pageNum,
                                          Integer pageSize,
                                          Integer apiId) {
        List<Map<String, Object>> list = bmsshipDetailsOrderSerivce.getDetailsOrderList(mapValue);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = bmsshipDetailsOrderSerivce.getDetailsOrderList(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }

    /**
     * 新增详单
     * @param resultId
     * @return
     */
    @ApiModelProperty(value = "新增详单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "resultId", value = "出厂实绩id", required = false, dataType = "BigDecimal"),
    })
    @PostMapping("/addDetailsOrder")
    public RESTfulResult addDetailsOrder(@RequestBody BigDecimal resultId) throws Exception {
        int code = bmsshipDetailsOrderSerivce.insertSelective(resultId);
        return success(code);
    }
}
