package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsshipStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmsshipStatementMapper extends IBaseMapper<BmsshipStatement, BigDecimal> {

    /**
     * 生成账单
     * @param bmsshipStatement
     * @return
     */
    int insertSelective(BmsshipStatement bmsshipStatement);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示账单列表
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getStatementList(Map<String,Object> mapValue);

    /**
     * 展示途损费账单列表
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getLossStatementList(Map<String,Object> mapValue);

    /**
     * 展示账单中的详单
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getDetailsOrder(Map<String,Object> mapValue);

    /**
     * 得到支付单位和总金额
     * @param batchId
     * @return
     */
    List<Map<String,Object>> getShipperAndAmount(BigDecimal batchId);

    /**
     * 查询汽运实绩
     * @param batchId
     * @return
     */
    List<Map<String,Object>> getTruckResult(BigDecimal batchId);

    /**
     * 查询船运实绩
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getShipResult(Map<String,Object> mapVal);

    /**
     * 展示途损费账单列表
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getWaterResult(Map<String,Object> mapVal);

    /**
     * 得到批次信息
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getBatch(Map<String,Object> mapVal);
}