package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class BmsshipFee implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultId;

    /**
     * 费用(FEE,DECIMAL,38)
     */
    @ApiModelProperty(value="费用",required=false)
    private BigDecimal fee;

    /**
     * 费用类型（1：二程船水运费；2：二程船装卸费；
     3：三程船水运费；4：三程船装卸费；5：水分检测费；
     6：进口矿火运费；7：国产矿火运费）(FEE_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="费用类型（1：二程船水运费；2：二程船装卸费；3：三程船水运费；4：三程船装卸费；5：水分检测费；6：进口矿火运费；7：国产矿火运费）",required=false)
    private BigDecimal feeType;

    /**
     * 采购订单ID(PURCHASE_ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="采购订单ID",required=false)
    private BigDecimal purchaseOrderId;

    /**
     * 批次ID(BATCH_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 实装吨位(REAL_TONNAGE,DECIMAL,38)
     */
    @ApiModelProperty(value="实装吨位",required=false)
    private BigDecimal realTonnage;

    /**
     * 单价(UNIT_PRICE,DECIMAL,38)
     */
    @ApiModelProperty(value="单价",required=false)
    private BigDecimal unitPrice;

    /**
     * 单价ID(UNIT_PRICE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="单价ID",required=false)
    private BigDecimal unitPriceId;

    /**
     * 备注(RESULT_REMARKS,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String resultRemarks;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除",required=false)
    private BigDecimal deleted;

    /**
     * 水运单图片(IMAGE,VARCHAR,255)
     */
    @ApiModelProperty(value="水运单图片",required=false)
    private String image;

    /**
     * 车皮数量(WAGON_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="车皮数量",required=false)
    private BigDecimal wagonNumber;

    /**
     * 开票日期(MAKE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开票日期",required=false)
    private Date makeTime;

    /**
     * 港口ID(PORT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="港口ID",required=false)
    private BigDecimal portId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public BigDecimal getFeeType() {
        return feeType;
    }

    public void setFeeType(BigDecimal feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getRealTonnage() {
        return realTonnage;
    }

    public void setRealTonnage(BigDecimal realTonnage) {
        this.realTonnage = realTonnage;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPriceId() {
        return unitPriceId;
    }

    public void setUnitPriceId(BigDecimal unitPriceId) {
        this.unitPriceId = unitPriceId;
    }

    public String getResultRemarks() {
        return resultRemarks;
    }

    public void setResultRemarks(String resultRemarks) {
        this.resultRemarks = resultRemarks == null ? null : resultRemarks.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image == null ? null : image.trim();
    }

    public BigDecimal getWagonNumber() {
        return wagonNumber;
    }

    public void setWagonNumber(BigDecimal wagonNumber) {
        this.wagonNumber = wagonNumber;
    }

    public Date getMakeTime() {
        return makeTime;
    }

    public void setMakeTime(Date makeTime) {
        this.makeTime = makeTime;
    }

    public BigDecimal getPortId() {
        return portId;
    }

    public void setPortId(BigDecimal portId) {
        this.portId = portId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", fee=").append(fee);
        sb.append(", feeType=").append(feeType);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", batchId=").append(batchId);
        sb.append(", realTonnage=").append(realTonnage);
        sb.append(", unitPrice=").append(unitPrice);
        sb.append(", unitPriceId=").append(unitPriceId);
        sb.append(", resultRemarks=").append(resultRemarks);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", image=").append(image);
        sb.append(", wagonNumber=").append(wagonNumber);
        sb.append(", makeTime=").append(makeTime);
        sb.append(", portId=").append(portId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}